#include <QAction>
#include <QMenu>
#include <QtDebug>

#include "src/listwidget.h"

ListWidget::ListWidget(QWidget *parent) :
    QListWidget(parent)
{
  menu = new QMenu(this);
  actionRemove = new QAction("Remove",this);
  menu->addAction(actionRemove);
  connect(actionRemove,SIGNAL(triggered()),this,SLOT(on_remove_clicked()));
}

void ListWidget::contextMenuEvent(QContextMenuEvent* e)
{
  menu->exec(e->globalPos());
}

void ListWidget::on_remove_clicked()
{
  QStringList tempList;
  QStringList tempList2;
  if (count() > 0) {
    for (int i = 0; i < count(); ++i) {
      if (item(i)->isSelected()) {
        tempList.append(item(i)->text());
      } else {
        tempList2.append(item(i)->text());
      }
    }
    clear();
    addItems(tempList2);
  }
  deletedText(tempList);
}
